## bwbasic 2.20pl2

=== debian/changelog ===
bwbasic (2.20pl2-16) unstable; urgency=medium

  * QA Upload.
  * Get package cross-building

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Sep 2025 03:09:25 +0530

bwbasic (2.20pl2-15) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1096401)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Sep 2025 19:01:08 +0300

bwbasic (2.20pl2-14) unstable; urgency=low

  * QA upload.
  * Fix GCC-14 FTBFS. (Closes: #1074860)
    - Add debian/patches/fix_gcc14_ftbfs.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 18 Aug 2024 22:37:42 +0800

bwbasic (2.20pl2-13) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Feb 2021 01:55:04 +0000

bwbasic (2.20pl2-12) unstable; urgency=medium

  * QA upload.
  * Import diff in quilt format.
  * Update source format to 3.0.
  * Orphan the package. (See: #848568)
  * Update Standards-Version to 4.5.0.
  * Update compat level to 12.
    - Disable autoreconf with updated compat level.
  * Add Vcs link to salsa.
  * Fix FTBFS with clang. (Closes: #686542)
  * Enable debug for debug package.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Feb 2020 19:49:50 +0000

bwbasic (2.20pl2-11) unstable; urgency=low

  * Upgrade standards version from 3.9.1.0 to 3.9.2.0
  * Explicitly set source format 1.0 (for now) in debian/source/format
    This makes lintian happy, missing-debian-source-format goes away
    Eventually I'll switch to Quilt-3.0 format, just not today.
  * Added a debian/watch file
  * Added TODO file as per the low priority desire to rewrite the manual
    into a new manpage, mostly to fix
    lintian hyphen-used-as-minus-sign
  * Redoing debian/rules into the "tiny" version.
  * Moved creation of bwbasic.1 out of highly customized debian/rules
    and into main package makefile
  * Added debian/manpages file to install bwbasic.1 (used to be installed
    by highly customized debian/rules)
  * Added debian/docs file to install various README files (used to be
    installed by highly customized debian/rules)
  * Added debian/examples file to install the kit of bwbtest/ example
    files (used to be installed by highly customized debian/rules)
  * Cleaned up the whole prefix, exec_prefix, bindir variable
    situation in the makefile.
  * Cleaned up the install target in the makefile.  Just call install
    directly.

 -- Vince Mulhollon <vlm@debian.org>  Sun, 24 Jul 2011 12:02:08 -0500

bwbasic (2.20pl2-10) unstable; urgency=low

  * Added ${misc:Depends} to make lintian happy as per:
    "debhelper-but-no-misc-depends"
  * Upgraded dh compat from 4 to 8.  Updated control and compat to match.
  * Upgrade standards version from 3.7.2 to 3.9.1.0
  * Added homepage field to control

 -- Vince Mulhollon <vlm@debian.org>  Tue, 01 Mar 2011 07:25:34 -0600

bwbasic (2.20pl2-9) unstable; urgency=low

  * New home page for bwbasic.
    (Closes: #348701)
  * Fix a buffer overflow.
    (Closes: #431376)
  * Menu moves from Apps to Applications
  * Standards version upgrade from 3.6.2.0 to 3.7.2

 -- Vince Mulhollon <vlm@debian.org>  Wed, 29 Aug 2007 20:26:29 -0500

bwbasic (2.20pl2-8) unstable; urgency=low

  * Upgrade standards from 3.6.1.0 to 3.6.2.0
  * recompiling fixes the usr/lib/menu problem

 -- Vince Mulhollon <vlm@debian.org>  Fri, 16 Sep 2005 20:54:22 -0500

bwbasic (2.20pl2-7) unstable; urgency=low

  * Adopting package.
    (Closes: #300650)
  * Fixed 12 spelling mistakes in the manpage.
    (Closes: #307031)

 -- Vince Mulhollon <vlm@debian.org>  Tue, 31 May 2005 14:27:34 -0500

bwbasic (2.20pl2-6) unstable; urgency=high

  * Orphaning.
  * bwb_var.c (var_islocal): Fix segmentation fault during
    initialization (seems to manifest itself only with 2.6 kernels).
  * bwb_cmd.c (bwb_on): Correctly handle multi-dimensional array
    elements in ON ... GOTO.  Closes: #260977.
  * bwb_dio.c (bwb_open): Apply FreeBSD's patch-ab by
    <msmith@gsoft.com.au>, fixing a buffer overrun.
  * bwb_elx.c (exp_function): Return OP_ERROR rather than NULL.
  * bwb_var.c (bwb_swap): s/=/==/
  * bwb_var.c (dim_unit): Fix format argument types.
  * renum.c (main): Replace gets() with fgets().
  * renum.c (instr): Fix pointer type.
  * Switch to debhelper 4.
  * debian/menu: Add menu file.
  * debian/rules: Honor DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.1.

 -- Matej Vela <vela@debian.org>  Sun, 20 Mar 2005 22:58:55 +0100

bwbasic (2.20pl2-5) unstable; urgency=low

  * Accept `?' as an alias for PRINT.  Closes: #96718.
  * Install bwbasic.doc as a (rather raw) man page.
  * Moved to debhelper 3.
  * Conforms to Standards version 3.5.4.

 -- Matej Vela <vela@debian.org>  Sun,  3 Jun 2001 03:45:05 +0200

bwbasic (2.20pl2-4) unstable; urgency=low

  * New maintainer.  Closes: Bug#80594.
  * Applied glibc 2.1 patch.  Closes: Bug#29713, Bug#30063, Bug#38189.
  * Included the renum utility since the RENUM statement depends on it.
  * Reworked the packaging; conforms to Standards version 3.2.1.
    Closes: Bug#70262.

 -- Matej Vela <vela@debian.org>  Mon,  1 Jan 2001 10:24:30 +0100

bwbasic (2.20pl2-3.1) frozen unstable; urgency=low

  * non maintainer, sparc only upload
  * fix initializer not constant bug with glibc2.1

 -- Christian Meder <meder@isr.uni-stuttgart.de>  Tue, 24 Nov 1998 13:03:07 +0100

bwbasic (2.20pl2-3) unstable frozen; urgency=low

  * Debian changelog file is now included in the package.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Sat, 11 Apr 1998 18:09:29 -0400

bwbasic (2.20pl2-2) unstable frozen; urgency=low

  * Fixes lintian error description-starts-with-leading-spaces.
  * Now using debhelper.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Mon, 30 Mar 1998 19:02:03 -0500

bwbasic (2.20pl2-1) unstable; urgency=low

  * Initial Release.

 -- Robert S. Edmonds <edmonds@freewwweb.com>  Thu, 19 Feb 1998 20:22:12 -0500
