=== debian/control ===
Source: bwbasic
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12)
Homepage: http://sourceforge.net/projects/bwbasic/
Vcs-Git: https://salsa.debian.org/debian/bwbasic.git
Vcs-Browser: https://salsa.debian.org/debian/bwbasic

Package: bwbasic
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Description: Bywater BASIC Interpreter
 The Bywater BASIC Interpreter (bwBASIC) implements a large superset
 of the ANSI Standard for Minimal BASIC (X3.60-1978) and a significant
 subset of the ANSI Standard for Full BASIC (X3.113-1987) in C.  It
 also offers shell programming facilities as an extension of BASIC.
 bwBASIC seeks to be as portable as possible.
