=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

%:
	dh $@ --without autoreconf
